Skip to main content
GET
/
mailbox
/
messages
/
search-snippets
Get message search snippets
curl --request GET \
  --url https://app.sendmux.ai/api/v1/mailbox/messages/search-snippets \
  --header 'Authorization: Bearer <token>'
{
  "ok": true,
  "meta": {
    "request_id": "req_clxxxxxxxxxxxxxxxxxxxxxxxxx"
  },
  "data": {
    "snippets": [
      {
        "message_id": "<string>",
        "subject": "<string>",
        "preview": "<string>"
      }
    ],
    "not_found": [
      "<string>"
    ],
    "sync_state": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Sendmux API key. Use a root API key for Management API routes, or a mailbox credential for Mailbox API routes. Obtain keys from the dashboard under API Keys.

Query Parameters

folder_id
string
from
string
to
string
cc
string
bcc
string
subject
string
body
string
header_name
string
header_value
string
min_size_bytes
integer
Required range: x >= 0
max_size_bytes
integer
Required range: x >= 0
keyword
string
not_keyword
string
after
string
before
string
has_attachment
boolean
is_unread
boolean
q
string
required
message_ids
string

Comma-separated message IDs, maximum 100.

limit
integer
Required range: 1 <= x <= 100
mailbox_id
string

Mailbox public ID to target when the credential grants access to more than one mailbox. Omit when the credential is scoped to exactly one mailbox.

Response

Search snippets

ok
enum<boolean>
required
Available options:
true
meta
object
required
data
object
required